/* JNI Dazuko Interface Wrapper Header.
   Written by Alex Ellwein <aellwein@antivir.de>

Copyright (C) 2003, H+BEDV Datentechnik GmbH
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

3. Neither the name of Dazuko nor the names of its contributors may be used
to endorse or promote products derived from this software without specific
prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/

#include <jni.h>
/* Header for class org_dazuko_Dazuko */

#ifndef _Included_org_dazuko_Dazuko
#define _Included_org_dazuko_Dazuko
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     org_dazuko_Dazuko
 * Method:    register
 * Signature: (Ljava/lang/String;)Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_register
 (JNIEnv *, jobject, jstring);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    unregister
 * Signature: ()V
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_unregister
 (JNIEnv *, jobject);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    setAccessMask
 * Signature: (I)Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_setAccessMask
 (JNIEnv *, jobject, jint);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    addIncludePath
 * Signature: (Ljava/lang/String;)Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_addIncludePath
 (JNIEnv *, jobject, jstring);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    addExcludePath
 * Signature: (Ljava/lang/String;)Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_addExcludePath
 (JNIEnv *, jobject, jstring);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    removeAllPaths
 * Signature: ()Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_removeAllPaths
 (JNIEnv *, jobject);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    getAccess
 * Signature: (Lorg/dazuko/DazukoAccess;)Lorg/dazuko/DazukoAccess;
 */
JNIEXPORT jobject JNICALL Java_org_dazuko_Dazuko_getAccess
 (JNIEnv *, jobject, jobject);

/*
 * Class:     org_dazuko_Dazuko
 * Method:    returnAccess
 * Signature: (Lorg/dazuko/DazukoAccess;)Z
 */
JNIEXPORT jint JNICALL Java_org_dazuko_Dazuko_returnAccess
 (JNIEnv *, jobject, jobject);

#ifdef __cplusplus
}
#endif
#endif
